import * as ButtonBase from '@tesseract-design/web-base-button';

// TODO check if a utility library like this is needed!

export type ButtonBaseProps<Node> = {
  /**
   * Size of the component.
   */
  size?: ButtonBase.ButtonSize,
  /**
   * Variant of the component.
   */
  variant?: ButtonBase.ButtonVariant,
  /**
   * Should the component display a border?
   */
  border?: boolean,
  /**
   * Short complementary content displayed at the edge of the component.
   */
  badge?: Node,
}
